Applications API Endpoints

Learn more about how to manage applications with our API

Get Applications

To list all existing applications of that project you can simply send a GET request to the following endpoint.

https://api.nodion.com/v1/applications

Required Headers: Authorization

Example Response:

{
  "applications": [
    {
      "id": "0ce705eb-fb11-485a-b380-82cdb8b97036",
      "status": "online",
      "state": "default",
      "name": "My App",
      "instance_amount": 1,
      "instance_type_id": "ccdcd297-702b-4f51-ad21-7ca481c08920",
      "deployment_strategy": "dockerfile",
      "container_registry_id": null,
      "image_name": null,
      "image_tag": null,
      "region": {
        "id": "428d037e-9ba6-4dab-92bd-8d816c523126",
        "name": "Frankfurt, DE",
        "slug": "fra"
      },
      "workers": [
        {
          "id": "62dc41e5-df5b-45b1-86d7-625e7102b3dc",
          "status": "available",
          "state": "default",
          "name": "My App Worker #1",
          "instance_amount": 2,
          "instance_type_id": "428c904f-db6b-4e89-9e90-741669155bd4"
        }
      ]
    }
  ]
}

Get Application

To fetch a single application you can simply send a GET request to the following endpoint.

https://api.nodion.com/v1/applications/:id

Required Headers: Authorization

Example Response:

{
  "application": {
    "id": "0ce705eb-fb11-485a-b380-82cdb8b97036",
    "status": "online",
    "state": "default",
    "name": "My App",
    "instance_amount": 1,
    "instance_type_id": "ccdcd297-702b-4f51-ad21-7ca481c08920",
    "deployment_strategy": "dockerfile",
    "container_registry_id": null,
    "image_name": null,
    "image_tag": null,
    "region": {
      "id": "428d037e-9ba6-4dab-92bd-8d816c523126",
      "name": "Frankfurt, DE",
      "slug": "fra"
    },
    "workers": [
      {
        "id": "62dc41e5-df5b-45b1-86d7-625e7102b3dc",
        "status": "available",
        "state": "default",
        "name": "My App Worker #1",
        "instance_amount": 2,
        "instance_type_id": "428c904f-db6b-4e89-9e90-741669155bd4"
      }
    ]
  }
}

Create a new Application

To create a new deployment you can simply send a POST request to the following endpoint.

https://api.nodion.com/v1/applications

Required Headers: Authorization

Required Body Parameters:

name – The desired name of the application.

region_id – The region this application should be deployed in.

instance_type_id – The instance type of this applications instances.

instance_amount – The amount of instances this application should be deployed with.

Required for Git-based deployments (dockerfile / buildpacks):

integration_id – The Git integration this application should be based on.

repository_id – The Git repository this application should be based on.

branch_id – The Git branch this application should be based on.

Required for Pre-built Image deployments:

deployment_strategy – Set to prebuilt_image to deploy a pre-built Docker image instead of building from Git.

container_registry_id – The ID of the container registry where the image is stored.

image_name – The image name (e.g. nginx, myuser/myapp, my-project/my-image).

Optional Body Parameters:

deployment_strategy – The deployment strategy. One of: dockerfile (default), buildpacks, prebuilt_image.

image_tag – The default image tag to deploy (e.g. latest, v1.2.3). Defaults to latest.

Possible Response Codes:

200 – The Application was updated successfully.
400 – There was something wrong. Please check the response.